<?php
if ( function_exists('register_sidebars') ){
    //register_sidebars(2);
	register_sidebar( array(
		'name' =>'Left Sidebar',
		'id' => 'left',
		'description' => 'Widgets in this area will be shown on the left-hand side')
	);
	register_sidebar( array(
		'name' =>'Right Sidebar',
		'id' => 'right',
		'description' => 'Widgets in this area will be shown on the right-hand side')
	);
}
?>
<?php 
function nba_theme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment-body">
			<div class="comment-area">
				<div class="comment-author vcard">
					<?php comment_author_link() ?>
					<span class="reply_icon">
						<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
					</span>
				</div>
				<?php if ($comment->comment_approved == '0') : ?>
				<p class="moderation"><em><?php _e('------------') ?></em></p>
				<?php endif; ?>
				<?php comment_text() ?><?php edit_comment_link(__('(Edit)'),'  ','') ?>
				<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php comment_date('Y-m-d'); ?> <?php comment_time('H:i:s'); ?></a>
					<span class="reply">
						<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
					</span>
				</div>
				<?php echo get_avatar($comment,$size='48'); ?>
			</div>
			<div class="clear"></div>
		</div>
		
<?php } ?>
<?php
add_action('admin_menu', 'nba_theme_menu');

function nba_theme_menu() {
	add_theme_page( "Setting","Setting", 8, basename(__FILE__), 'nba_theme_settings');
}

function nba_theme_settings(){
	if ( $_REQUEST['updated']=='true' ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.').'</strong></p></div>';
?>

<div class="wrap">
<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>
<h2>Social Networks Settings</h2>
<p>Please input <strong>full</strong> URL of these fields. Like <code>http://twitter.com/yourname</code></p>
<table class="form-table">
<tr valign="top">
<th scope="row">Feed</th>
<td><input type="text" name="nba_feed" value="<?php echo get_option('nba_feed'); ?>" class="regular-text" /></td>
</tr>
<tr valign="top">
<th scope="row">Twitter</th>
<td><input type="text" name="twitter" value="<?php echo get_option('twitter'); ?>" class="regular-text" />
</td>
</tr>
<tr valign="top">
<th scope="row">Facebook</th>
<td><input type="text" name="facebook" value="<?php echo get_option('facebook'); ?>" class="regular-text" /></td>
</tr>
</table>

<h2>AD Settings</h2>
<table class="form-table">
<tr valign="top">
<th scope="row">Ad Code for 600x160 on the right sidebar:</th>
</tr>
<tr>
<td><textarea name="ad_600X160" rows="10" cols="50" id="ad_600X160" class="regular-text"><?php echo get_option('ad_600X160'); ?></textarea>
</td>
</tr>
</table>

<h2>Need help?</h2>
<table class="form-table">
<tr valign="top">
<th scope="row">If you have any problems, please contact <a href="mailto:denishua@hotmail.com">denishua</a>!</th>
</tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="nba_feed,facebook,twitter,ad_600X160" />

<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>

</form>
</div>

<?php } ?>
<?php 
function nba_theme_archive(){
	global $month, $wpdb;
	$now        = current_time('mysql');
	$arcresults = $wpdb->get_results("SELECT DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts FROM " . $wpdb->posts . " WHERE post_date <'" . $now . "' AND post_status='publish' AND post_type='post' AND post_password='' GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date DESC");

	if ($arcresults) {
		foreach ($arcresults as $arcresult) {
			$url  = get_month_link($arcresult->year, $arcresult->month);
    		$text = sprintf('%s %d', $month[zeroise($arcresult->month,2)], $arcresult->year);
    		echo get_archives_link($url, $text, '','<h3>','</h3>');

			$thismonth   = zeroise($arcresult->month,2);
			$thisyear = $arcresult->year;

        	$arcresults2 = $wpdb->get_results("SELECT ID, post_date, post_title, comment_status FROM " . $wpdb->posts . " WHERE post_date LIKE '$thisyear-$thismonth-%' AND post_status='publish' AND post_type='post' AND post_password='' ORDER BY post_date DESC");

        	if ($arcresults2) {
        		echo "<ul class=\"postspermonth\">\n";
            	foreach ($arcresults2 as $arcresult2) {
               		if ($arcresult2->post_date != '0000-00-00 00:00:00') {
                 		$url       = get_permalink($arcresult2->ID);
                 		$arc_title = $arcresult2->post_title;

                 		if ($arc_title) $text = strip_tags($arc_title);
                    	else $text = $arcresult2->ID;

                   		echo "<li>".get_archives_link($url, $text, '');
						$comments = mysql_query("SELECT * FROM " . $wpdb->comments . " WHERE comment_post_ID=" . $arcresult2->ID);
						$comments_count = mysql_num_rows($comments);
						if ($arcresult2->comment_status == "open" OR $comments_count > 0) echo '&nbsp;('.$comments_count.')';
						echo "</li>\n";
                 	}
            	}
            	echo "</ul>\n";
        	}
		}
	}
}

?>